[Scavenger Class Transfer]:
A Scavenger who reaches level 40 can proceed with the 2nd class transfer to become a Bounty Hunter. In order to become a Bounty Hunter the player must successfully complete three quests. The Trial of the Guildsman may be undertaken by a player of level 35 or above. This quest begins by meeting with Warehouse Keeper Valkon of Giran Castle Town. The Testimony of Prosperity may be undertaken by a player of level 37 or above. This quest begins by meeting with Warehouse Keeper Parman of Giran Castle Town. Finally, the Test of the Searcher may be undertaken by a player of level 39 or above. This quest begins by meeting with Master Luther of Hunters Village.
Return
Close Window